# jekyll2harp

A script to convert posts from Jekyll to Harp

 - Moves YAML metadata into data.json
 - Notices leading dates in file names and moves them to data.json
 - Outputs to a fresh directory, never modifies existing files or folders
 - Strips out metadata keys specified with `-s`

Note that this script doesn't preserve old URLs. The best approach would probably be send `301 moved permanently` for all your old URLs using `.htaccess` or similar.

## Install

```bash
npm install -g jekyll2harp
```

Or if you want to hack on it (pull requests welcome) run it from source like so:

```bash
git clone git@github.com:edrex/jekyll2harp.git
cd jekyll2harp
npm install
npm link
```

## Usage

```
% jekyll2harp -h                                                                                                                                                                  ✭

  Usage: jekyll2harp [options] <file ...>

  Options:

    -h, --help                  output usage information
    -V, --version               output the version number
    -s --skip_keys <skip_keys>  Skip keys
    -d --dest <dest>            Destination directory
```

Example:

```
cd mysite/_posts
jekyll2harp -d ./out *.md
```
